Bug 795821

Summary: WARNING: at fs/sysfs/dir.c:481 sysfs_add_one+0xc1/0xf0() /class/bluetooth/hci0:11
Product: [Fedora] Fedora Reporter: Jason Ekstrand <jason>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: eu, gansalmon, gcarter, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:4d948e946dddb4d6aaf44e3fbe4819d21907c183
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-04 13:16:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jason Ekstrand 2012-02-21 10:43:45 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.6-3.fc16.x86_64 root=UUID=0bea7dd7-7a1d-47ee-9f2f-e4a782e02dc7 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
kernel:         3.230420]
reason:         [132823.230413] WARNING: at fs/sysfs/dir.c:481 sysfs_add_one+0xc1/0xf0()
time:           Tue 21 Feb 2012 09:39:54 AM CST

backtrace:
:[132823.230413] WARNING: at fs/sysfs/dir.c:481 sysfs_add_one+0xc1/0xf0()
:[132823.230416] Hardware name: 514328U
:[132823.230418] sysfs: cannot create duplicate filename '/class/bluetooth/hci0:11'
:[132823.230420] Modules linked in: nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack sha256_generic dm_crypt ums_realtek vfat fat usb_storage tcp_lp hidp lp lockd ppdev parport_pc parport fuse rfcomm bnep ip6t_REJECT arc4 binfmt_misc snd_hda_codec_hdmi snd_hda_codec_conexant btusb bluetooth microcode joydev iTCO_wdt iTCO_vendor_support iwlwifi i2c_i801 snd_hda_intel intel_ips snd_hda_codec snd_hwdep snd_seq mac80211 snd_seq_device cfg80211 tpm_tis tpm thinkpad_acpi snd_pcm tpm_bios rfkill e1000e snd_timer snd soundcore snd_page_alloc uinput sunrpc wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: nf_conntrack]
:[132823.230488] Pid: 19653, comm: kworker/u:9 Tainted: G        W    3.2.6-3.fc16.x86_64 #1
:[132823.230491] Call Trace:
:[132823.230502]  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
:[132823.230530]  [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
:[132823.230537]  [<ffffffff811eb9c1>] sysfs_add_one+0xc1/0xf0
:[132823.230545]  [<ffffffff811ec345>] sysfs_do_create_link+0x135/0x220
:[132823.230553]  [<ffffffff811ec443>] sysfs_create_link+0x13/0x20
:[132823.230565]  [<ffffffff81390466>] device_add+0x2b6/0x680
:[132823.230586]  [<ffffffffa0338430>] ? __match_tty+0x40/0x40 [bluetooth]
:[132823.230595]  [<ffffffff8139018b>] ? device_private_init+0x5b/0x80
:[132823.230610]  [<ffffffffa0338430>] ? __match_tty+0x40/0x40 [bluetooth]
:[132823.230625]  [<ffffffffa0338493>] add_conn+0x63/0x120 [bluetooth]
:[132823.230639]  [<ffffffffa0338430>] ? __match_tty+0x40/0x40 [bluetooth]
:[132823.230648]  [<ffffffff81089ddd>] process_one_work+0x11d/0x470
:[132823.230656]  [<ffffffff8108b1df>] worker_thread+0x15f/0x350
:[132823.230664]  [<ffffffff8108b080>] ? manage_workers+0x230/0x230
:[132823.230673]  [<ffffffff8108fb9c>] kthread+0x8c/0xa0
:[132823.230683]  [<ffffffff815ebaf4>] kernel_thread_helper+0x4/0x10
:[132823.230691]  [<ffffffff8108fb10>] ? kthread_worker_fn+0x190/0x190
:[132823.230698]  [<ffffffff815ebaf0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: c8154555-e235-4e43-8ea5-7f15617f8609
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4256.36
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       L 640  @ 2.13GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2134
:System Memory: 3753
:System Swap: 6596
:Vendor: LENOVO
:System: 514328U ThinkPad X201s
:Form factor: Notebook
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15207:6058:8546) pci, serial, 16550_SERIAL, 5 Series/3400 Series Chipset KT Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext3 4096 4096 4794996 2033489 1789355 1222992 939567 939567
:/dev/sda5 /home ext4 4096 4096 24384387 4242016 3020896 6111232 5998791 5998791
:
Comment 1 Dave Jones 2012-03-22 13:12:22 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 13:14:41 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:23:50 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-26 11:07:29 EDT
*** Bug 759838 has been marked as a duplicate of this bug. ***
Comment 5 Dave Jones 2012-03-26 11:08:43 EDT
*** Bug 806778 has been marked as a duplicate of this bug. ***